Subject: Re: surprising behavior from merge

From: Illia Bobyr <[email-masked]>
Date: Sat, 12 May 2012 02:25:09 +0000

On 5/11/2012 5:05 PM, Sebastian Kuzminsky wrote:
> On 05/11/2012 05:57 PM, Michael Witten wrote:
>> On Fri, 11 May 2012 16:25:29 -0600, Sebastian Kuzminsky wrote:
>>
>>> The simplified repo is here if anyone wants to inspect it:
>>> https://github.com/SebKuzminsky/merge-problem
> ...
>
>> In other words, rather than burdening people with the task of
>> constructing a mental picture of what you have done, you should
>> show them as directly and precisely as possible; in this way,
>> people can go about the business of discussing your issue much
>> more quickly and, most importantly, PRECISELY.
>>
>
> Ah, I had intended the extremely tiny git repo I linked to to provide 
> the info in the most concise way possible.  The surprising behaviour 
> happened at the final commit in the repo, which was made by 'git merge 
> other'.
>
> I can email a list of commands to reproduce the issue later tonight if 
> that would make anything clearer.

The repository you provided is actually quite simple and clear, though I 
have no idea why this might be happening.  Or if it is an expected behavior.

At the same time if you provide a list of command if someone will be 
fixing this they may server as an automated test.  Git has a lot of them.

--
Illia Bobyr